EventImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class EventImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.ComponentImpl
    - - tv.amwa.maj.model.impl.SegmentImpl
      - - tv.amwa.maj.model.impl.EventImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QComponent, QSegment, MediaEntity, MetadataObject, Component, Event, InterchangeObject, Segment
  Direct Known Subclasses:
    CommentMarkerImpl, GPITriggerImpl

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=1536,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="Event",
                  description="The Event class defines a text comment, a trigger, or an area in the image that has an associated interactive action.",
                  symbol="Event",
                  isConcrete=false)
      public class EventImpl
      extends SegmentImpl
      implements Event, Serializable, Cloneable

  Implements a text comment, a trigger, or an area in the image that has an associated interactive action.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `clone()` Create a cloned copy of this interchange object.
    `String` | `getEventComment()` Returns the comment that specifies the purpose of this event.
    `long` | `getEventPosition()` Returns the position of this event, which specifies the starting time of the event in an event track.
    `boolean` | `getPositionPresent()` Determine whether this event is in a context where the position property is present or not.
    `static long` | `initializeEventPosition()`
    `void` | `setEventComment(String eventComment)` Set a comment that specifies the purpose of the event.
    `void` | `setEventPosition(long position)` Sets the position of this event, which specifies the starting time of the event in an event track.
    `void` | `setPositionPresent(boolean positionPresent)` Sets whether this event is in a context where the position property is present or not.

    - ### Methods inherited from class tv.amwa.maj.model.impl.SegmentImpl

      `generateSequence, getCutPoint, getKeyOffset, getPackLayerKeyIndicator, getSegmentBlob, getTrackBlob, getTrackKeyRenderSequence, getTrackName, getTrackRenderSequence, segmentOffsetToTC, segmentTCToOffset, setCutPoint, setKeyOffset, setPackLayerKeyIndicator, setSegmentBlob, setTrackBlob, setTrackKeyRenderSequence, setTrackName, setTrackRenderSequence`

    - ### Methods inherited from class tv.amwa.maj.model.impl.ComponentImpl

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComment, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getEditName, getJupiterClipOffset, getJupiterID, getLengthPresent, initializeComponentDataDefinition, prependComponentAttribute, prependComponentKLVData, prependComponentUserComment, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setComponentLengthFromStream, setEditName, setJupiterClipOffset, setJupiterID, setLengthPresent`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### EventImpl

          public EventImpl()

  - ### Method Detail

    - #### getEventComment

          @MediaProperty(uuid1=87032836,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="EventComment",
                         aliases="Comment",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=1538,
                         symbol="EventComment")
          public String getEventComment()
                                                                                                                                                                                                                                                                                                                                                                                                                     throws PropertyNotPresentException

      Description copied from interface: `Event`

      Returns the comment that specifies the purpose of this event. This is an optional property.

      Specified by:
        `getEventComment` in interface `Event`
      Returns:
        Comment describing this event.
      Throws:
        `PropertyNotPresentException` - The optional comment property is not present in this event.

    - #### setEventComment

          @MediaPropertySetter(value="EventComment")
          public void setEventComment(String eventComment)

      Description copied from interface: `Event`

      Set a comment that specifies the purpose of the event. Set this optional property to `null` to omit it.

      Specified by:
        `setEventComment` in interface `Event`
      Parameters:
        `eventComment` - Comment to set for this event.

    - #### getEventPosition

          @MediaProperty(uuid1=117571843,
                         uuid2=771,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="EventPosition",
                         aliases="Position",
                         typeName="PositionType",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=1537,
                         symbol="EventPosition")
          public long getEventPosition()
                                                                                                                                                                                                                                                                                                                                                                                                                          throws BadPropertyException

      Description copied from interface: `Event`

      Returns the position of this event, which specifies the starting time of the event in an event track.

      Specified by:
        `getEventPosition` in interface `Event`
      Returns:
        Position of this event in an event track.
      Throws:
        `BadPropertyException` - The position property is not present in the context of this event.

    - #### setEventPosition

          @MediaPropertySetter(value="EventPosition")
          public void setEventPosition(long position)
                                                                            throws BadPropertyException

      Description copied from interface: `Event`

      Sets the position of this event, which specifies the starting time of the event in an event track.

      Specified by:
        `setEventPosition` in interface `Event`
      Parameters:
        `position` - The position for this event in an event track.
      Throws:
        `BadPropertyException` - The position property is not present in the context of this event.

    - #### initializeEventPosition

          public static final long initializeEventPosition()

    - #### getPositionPresent

          public boolean getPositionPresent()

      Determine whether this event is in a context where the position property is present or not.

      If an Event is in a `timeline track` or a `static track`, it shall not have a position property. If an event is in an `event track`, it shall have a position property.

      Returns:
        Is this event in a context where the position property is present?

    - #### setPositionPresent

          public void setPositionPresent(boolean positionPresent)

      Sets whether this event is in a context where the position property is present or not.

      If an Event is in a `timeline track` or a `static track`, it shall not have a position property. If an event is in an `event track`, it shall have a position property.

      Parameters:
        `positionPresent` - Is this event in a context where the position property is present?

    - #### clone

          public Event clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `Event`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Segment`
      Overrides:
        `clone` in class `SegmentImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.